/*
 * DO NOT EDIT.  THIS FILE IS GENERATED FROM
 * nsIPassword.idl
 */

package org.mozilla.xpcom;

/** 
 * An optional interface for clients wishing to access a
 * password object
 * 
 * @status FROZEN
 */
public interface nsIPassword extends nsISupports {

  String NS_IPASSWORD_IID =
    "{cf39c2b0-1e4b-11d5-a549-0010a401eb10}";

  /**
     * the name of the host corresponding to the login being saved
     *
     * The form of the host depends on how the nsIPassword object was created
     *
     * - if it was created as a result of submitting a form to a site, then the
     *   host is the url of the site, as obtained from a call to GetSpec
     *
     * - if it was created as a result of another app (e.g., mailnews) calling a
     *   prompt routine such at PromptUsernameAndPassword, then the host is whatever
     *   arbitrary string the app decided to pass in.
     *
     * Whatever form it is in, it will be used by the password manager to uniquely
     * identify the login realm, so that "newsserver:119" is not the same thing as
     * "newsserver".
     */
  String getHost();

  /**
     * the user name portion of the login
     */
  String getUser();

  /**
     * the password portion of the login
     */
  String getPassword();

}